%define name python-gtksourceview
%define version 2.0.0
%define release %mkrel 1
%define oname pygtksourceview

Summary: Gtksourceview bindings for Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.gnome.org/sources/%oname/%{oname}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtksourceview-devel >= 2.0.0
BuildRequires: pygtk2.0-devel
BuildRequires: libxslt-proc docbook-style-xsl

%description
These are the python bindings for the version 2 of the
GtkSourceView library.

%package devel
Group: Development/Python
Summary: Files required to build applications with %name
Requires: %name = %version

%description devel
These are the python bindings for the version 2 of the
GtkSourceView library.


%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%py_platsitedir/gtksourceview2.la
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%py_platsitedir/gtksourceview2.so

%files devel
%defattr(-,root,root)
%doc ChangeLog
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/pygtksourceview2/
%_datadir/pygtk/2.0/defs/gtksourceview2.defs


%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 89091
- new version
- bump dep

* Wed Sep 12 2007 Götz Waschk <waschk@mandriva.org> 1.90.5-1mdv2008.0
+ Revision: 84736
- new version
- bump deps

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 1.90.4-1mdv2008.0
+ Revision: 72605
- new version
- bump deps

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 1.90.3-1mdv2008.0
+ Revision: 57429
- new version
- fix module name
- bump deps

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 1.90.2-1mdv2008.0
+ Revision: 47959
- new version
- bump deps

* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 1.90.1-1mdv2008.0
+ Revision: 44018
- Import python-gtksourceview



* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 1.90.1-1mdv2008.0
- initial package
